@import url("https://fonts.googleapis.com/css2?family=K2D&display=swap");

@font-face {
  font-family: fonts;
  src: url(../fonts/fonts/ttf/OtomanopeeOne-Regular.ttf);
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* Back to btn Start */
html {
  scroll-behavior: smooth;
}

#progress {
  position: fixed;
  bottom: 20px;
  right: 20px;
  height: 60px !important;
  width: 60px !important;
  display: none;
  place-items: center;
  border-radius: 8%;
  cursor: pointer;
  z-index: 999 !important;
}

#progress-value {
  display: block;
  height: calc(100% - 8px);
  width: calc(100% - 8px);
  background-color: var(--item-color);
  border-radius: 8%;
  display: grid;
  place-items: center;
  font-size: 35px;
  border: 3px solid rgba(236, 236, 236, 0.601);
}

#progress-value svg {
  width: 20px;
  height: 20px;
}
/* Back to btn End */

/* Variable */
:root {
  --box-shadow: 0 0 10px hsl(0, 0%, 0%, 0.15);
  --primary-font: fonts;
  --secondary-font: K2D;
  --border-and-color: 1px solid rgba(38, 160, 218, 1);
  --text-color-black: black;
  --background-color: rgba(38, 160, 218, 1);
  --text-color-white: rgba(255, 255, 255, 1);
  --text-color-blue: rgba(38, 160, 218, 1);
  --item-color: rgba(255, 184, 0, 1);
  --shadow: 0px 15px 15px rgba(0, 0, 0, 0.18);
}

/* Topbar Start */
#topbar {
  font-family: var(--secondary-font);
  background: rgba(49, 71, 85, 1);
}

.topbar_item ul {
  margin: 0px;
  list-style: none;
  align-items: center;
}

.topbar_item ul a {
  font-size: 18px;
  text-decoration: none;
  color: var(--text-color-white);
  transition: 0.3s;
}

.topbar_item ul a:hover {
  color: var(--text-color-blue);
}

.topbar_item ul li .signInBtn {
  transition: 0.2s;
}

.topbar_item ul li .signInBtn:hover svg path {
  fill: #26a0da;
}

.topbar_item ul li .signInBtn svg {
  width: 28px;
  height: 26px;
  margin-top: 3px;
}

.topbar_item ul li {
  padding: 10px 18px 10px 18px;
}

.topbar_item ul li img {
  width: 25px;
  height: 25px;
}

.topbar_item .vertical_bar {
  width: 1px;
  height: 20px;
  background-color: white;
}

@media screen and (max-width: 575px) {
  .topbar_item ul a {
    font-size: 15px;
  }

  .topbar_item ul li {
    padding: 10px 8px 10px 8px;
  }
}

/* Topbar End */

/* Header Start */
.header .logo img {
  align-items: center;
  justify-content: center;
  text-align: center;
  padding: 15px 0;
}

.header .search_bar {
  padding: 0px 12px;
  margin: auto;
}

.header .search_bar_item {
  align-items: center;
  height: 45px;
  border-radius: 3px;
  display: flex;
  margin: auto;
  border: 1px solid rgba(38, 160, 218, 1);
}

.header .search_bar img {
  padding-top: 9px;
  width: 60px;
  margin-top: -8.5px;
  margin-right: 4.5px;
}

.header .header {
  justify-content: space-between;
}

.search_bar input {
  width: 100%;
  margin-left: 20px;
  border: none;
  outline: none;
  font-family: var(--secondary-font);
}

.header .contact {
  display: flex;
  align-items: center;
}

.header .header_contact {
  width: 70%;
  display: flex;
  justify-content: flex-end;
  padding-right: 10px;
  margin-right: 10px;
  border-radius: 3px;
  text-align: center;
}

.header_contact img {
  margin-bottom: 5px;
  width: 28px;
  align-items: center;
}

.header_contact .call_us a {
  text-decoration: none;
  font-family: var(--secondary-font);
  color: var(--text-color-black);
  font-size: 18px;
  font-weight: bold;
  float: left;
  text-wrap: nowrap;
}

.add_to_cart img {
  border: var(--border-and-color);
  padding: 6px;
  width: 45px;
  height: 45px;
  border-radius: 3px;
}
.add_to_cart {
  position: relative; /* Ensure the badge is positioned relative to the cart */
}

.add_to_cart .badge {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  background: red;
  color: var(--text-color-white);
  font-size: 10px;
  width: 20px;
  height: 20px;
  border-radius: 50%;
  top: -12px;
  right: 5px;
  line-height: 1;
  white-space: nowrap;
  box-sizing: border-box;
}

.add_to_cart .badge::after {
  content: "";
  padding-bottom: 100%;
  display: block;
}

@media screen and (max-width: 1200px) {
  .header_contact .call_us a {
    font-size: 16px;
  }
}

@media screen and (max-width: 992px) {
  .header .contact {
    margin-top: 20px;
    justify-content: space-between;
  }

  .header {
    margin: 20px 0;
  }

  .header_contact .call_us a {
    font-size: 18px;
  }
  .header .header_contact {
    display: block;
    padding-right: 10px;
  }
}

/* Header End */

/* Navbar Start*/

.navbar {
  position: absolute !important;
  position: sticky !important;
  top: -1px !important;
  left: 0px !important;
  font-family: var(--secondary-font);
  width: 100%;
  z-index: 99;
  background: var(--text-color-blue);
}

.navbar .navbar {
  position: relative;
  height: 62px;
  margin: auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.navbar .logo {
  display: none;
}

.navbar .nav-links {
  display: inline-flex;
  z-index: 9999;
}

.nav-links li {
  list-style: none;
}

.nav-links li a {
  display: inline-block;
  color: #f2f2f2;
  text-decoration: none;
  font-size: 22px;
  font-weight: 500;
  padding: 5px 15px 24px 18px;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  transition: all 0.3s ease;
}

/* Smooth transitions for dropdowns */
.drop-menu,
.mega-box {
  transition: max-height 0.3s ease-in-out, opacity 0.3s ease-in-out;
}

/* Example of hover effect */
.nav-links li a {
  position: relative;
}

.nav-links li a::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 2px;
  background: var(--item-color);
  left: 0;
  bottom: 0;
  transform: scaleX(0);
  transition: transform 0.3s ease-in-out;
}

/* Media query for smaller screens */

.nav-links li a:hover {
  background: var(--text-color-white);
  color: var(--text-color-blue);
}

.nav-links li a:hover:active {
  background: var(--text-color-white);
  color: var(--text-color-blue);
}

.nav-links li a:hover path {
  stroke: var(--text-color-blue);
}

.nav-links li a svg {
  width: 15px;
  transition: 0.4s;
  -webkit-transition: 0.4s;
  -moz-transition: 0.4s;
  -ms-transition: 0.4s;
  -o-transition: 0.4s;
}

.nav-links li a svg path {
  stroke: #fff;
  transition: 0.4s;
  -webkit-transition: 0.4s;
  -moz-transition: 0.4s;
  -ms-transition: 0.4s;
  -o-transition: 0.4s;
}

.nav-links li a:hover svg {
  transform: rotate(180deg);
}

.nav-links .drop-menu {
  position: absolute;
  line-height: 45px;
  background: var(--text-color-white);
  color: var(--text-color-black);
  width: 22%;
  padding: 0px 20px 0px 0px;
  top: 55px !important;
  border-bottom-left-radius: 5px !important;
  border-bottom-right-radius: 5px !important;
  opacity: 0;
  visibility: hidden;
  box-shadow: 0 6px 10px rgba(0, 0, 0, 0.15);
}

.nav-links li:hover .drop-menu {
  transition: all 0.3s ease;
  top: 70px !important;
  opacity: 1;
  visibility: visible;
}

.nav-links li:hover .drop-menu,
.nav-links li:hover .mega-box {
  z-index: 555;
  transition: all 0.3s ease;
  top: 62px;
  opacity: 1;
  visibility: visible;
}

.drop-menu li {
  text-wrap: nowrap;
  margin-bottom: 3px;
  border-left: 3px solid rgb(255, 255, 255);
}

.drop-menu li a {
  width: 100%;
  color: var(--text-color-black);
  display: block;
  padding: 0 10px 0px 20px;
  font-size: 22px;
  font-weight: 400;
  border-radius: 0px;
}

.drop-menu li:hover {
  border-left: 3px solid rgba(38, 160, 218, 1);
}

.nav-links .mobile-item {
  display: none;
}

.nav-links li:hover .mega-box {
  transition: all 0.3s ease;
  top: 70px !important;
  opacity: 1;
  visibility: visible;
}

.mega-box {
  position: absolute;
  left: 0;
  width: 90%;
  top: 55px;
  opacity: 0;
  visibility: hidden;
}

.mega-box .content {
  top: 70px !important;
  background: #ffffff;
  color: var(--text-color-black);
  padding: 50px 0px;
  display: flex;
  width: 100%;
  border-bottom-left-radius: 5px !important;
  border-bottom-right-radius: 5px !important;
  box-shadow: 0 6px 10px rgba(0, 0, 0, 0.15);
}

.mega-box .content .row {
  justify-content: space-between;
  width: 100%;
  line-height: 45px;
  margin: 0px;
}

.content .row .mega-links {
  border-left: 1px solid rgba(255, 255, 255, 0.09);
}

.row .mega-links li {
  margin: 0 50px;
}

.row .mega-links li a {
  padding: 0px;
  color: #0e0e0e;
  font-size: 22px;
  display: block;
}

.row .mega-links li a:hover {
  color: var(--text-color-blue);
}

.navbar .btn {
  color: #fff;
  font-size: 20px;
  cursor: pointer;
  display: none;
}

.navbar .btn.close-btn {
  position: absolute;
  right: 30px;
  top: 10px;
}

.navbar .btn.close-btn {
  color: white;
}

.navbar .btn.menu-btn {
  color: #f2f2f2;
}

.nav-btn {
  display: flex;
  background: white;
  border-radius: 5px;
}

@media screen and (max-width: 600px) {
  .topbar_item ul a {
    font-size: 14px;
  }
}

@media screen and (max-width: 768px) {
  .navbar .nav-links {
    padding: 20px 0;
  }
}

@media screen and (max-width: 992px) {
  .nav-links li a {
    border-radius: 8px;
  }

  .navbar .btn {
    display: block;
  }

  .navbar .logo {
    display: block;
  }

  .navbar .logo img {
    width: 120px;
  }

  header .logo {
    display: none;
  }

  .navbar .nav-links {
    position: fixed;
    height: 100vh;
    width: 100%;
    max-width: 350px;
    top: 0;
    left: -100%;
    background: #242526;
    display: block;
    padding: 50px 10px;
    line-height: 50px;
    overflow-y: auto;
    box-shadow: 0px 15px 15px rgba(0, 0, 0, 0.18);
    transition: all 0.3s ease;
  }

  .nav-btn {
    display: none !important;
  }

  /* custom scroll bar */
  ::-webkit-scrollbar {
    width: 10px;
  }

  ::-webkit-scrollbar-track {
    background: #242526;
  }

  ::-webkit-scrollbar-thumb {
    background: #3a3b3c;
  }

  #menu-btn:checked ~ .nav-links {
    left: 0%;
  }

  #menu-btn:checked ~ .btn.menu-btn {
    display: none;
  }

  #close-btn:checked ~ .btn.menu-btn {
    display: block;
  }

  .nav-links li {
    margin: 15px 10px;
  }

  .nav-links li a {
    padding: 0 20px;
    display: block;
    font-size: 20px;
  }

  .nav-links .drop-menu {
    position: static;
    opacity: 1;
    top: 65px;
    visibility: visible;
    padding-left: 20px;
    width: 100%;
    max-height: 0px;
    overflow: hidden;
    box-shadow: none;
    transition: all 0.3s ease;
  }

  #showDrop:checked ~ .drop-menu,
  #showMega:checked ~ .mega-box {
    max-height: 100%;
  }

  .nav-links .desktop-item {
    display: none;
  }

  .nav-links .mobile-item {
    justify-content: space-between;
    display: flex;
    color: #f2f2f2;
    font-size: 20px;
    font-weight: 500;
    padding-left: 20px;
    cursor: pointer;
    border-radius: 5px;
    transition: all 0.3s ease;
  }

  .nav-links .mobile-item svg {
    width: 13px !important;
    height: 13px !important;
    text-align: right;
  }

  .nav-links .mobile-item:hover {
    background: #3a3b3c;
  }

  .drop-menu li {
    margin: 0;
  }

  .drop-menu li a {
    border-radius: 5px;
    font-size: 18px;
  }

  .mega-box {
    position: static;
    top: 65px;
    opacity: 1;
    visibility: visible;
    padding: 0 20px;
    max-height: 0px;
    overflow: hidden;
    transition: all 0.3s ease;
  }

  .mega-box .content {
    box-shadow: none;
    flex-direction: column;
    padding: 20px 0px 0 0px;
  }

  .mega-box .content .row {
    width: 100%;
    margin-bottom: 15px;
    border-top: 1px solid rgba(255, 255, 255, 0.08);
  }

  .mega-box .content .row:nth-child(1),
  .mega-box .content .row:nth-child(2) {
    border-top: 0px;
  }

  .content .row .mega-links {
    border-left: 0px;
    padding-left: 15px;
  }

  .row .mega-links li {
    margin: 0;
  }

  .content .row header {
    font-size: 19px;
  }
}

.navbar input {
  display: none;
}
/* Navbar End */

/* Footer Start */
.footer {
  background: rgba(49, 71, 85, 1);
}

.footer-item {
  display: flex;
  flex-wrap: wrap;
  margin-top: auto;
  padding: 80px 0px 0px 0px;
}

.footer-item .logo-item {
  text-align: center !important;
  padding: 0px 20px 0px 0px;
}

.footer-item .logo-item img {
  width: 85%;
}

.footer-item .logo-item p {
  font-family: var(--secondary-font);
  color: var(--text-color-white);
  margin: 50px 0;
  font-size: 18px;
}

.footer-item .logo-item h1 {
  font-size: 22px;
  font-family: var(--primary-font);
  color: var(--item-color);
  margin-bottom: 20px;
}

.footer ul {
  padding: 0px 0px 0px 0px !important;
  list-style: none;
}

.footer-item h4 {
  position: relative;
  font-family: var(--primary-font);
  margin-bottom: 17px;
  font-weight: 400;
  font-size: 23px;
  color: #f1bc0d;
  text-transform: capitalize;
}

.footer-item ul li {
  padding: 10px 0;
  font-family: var(--secondary-font);
  line-height: 27px;
  display: flex !important;
}

.footer-item .items {
  padding-left: 20px;
  border-left: 1px solid #7c8992;
}

.footer ul li a {
  font-size: 18px;
  text-transform: capitalize;
  color: #ffffff;
  text-decoration: none;
  transition: 0.4s;
}

.footer ul li a:hover {
  color: var(--item-color);
}

.footer .links a {
  transition: all 0.5s ease;
  font-family: var(--secondary-font) !important;
  height: 50px;
  width: 50px;
  color: white;
  background-color: transparent;
  margin: 0 8px 8px 0;
  text-align: center;
  line-height: 55px;
  border-radius: 50%;
  transition: 0.4s;
  border: 1px solid white;
}

.footer .links {
  display: inline-block;
}

.footer .links .icon {
  display: flex;
  margin-bottom: 50px;
}

.footer .links .icon i {
  font-size: 25px;
}

.footer .links a:hover {
  border: 1px solid rgba(255, 184, 0, 1);
  color: #39393a;
  background-color: var(--item-color);
}

.footer .footer-icon img {
  margin-right: 10px;
  width: 26px;
  height: 25px;
}
.footer .copyright {
  width: 100%;
  align-items: center;
  display: flex;
  justify-content: space-between !important;
  padding: 0px 0;
  border-top: 1px solid #7c8992;
}

.footer .copyright p {
  font-size: 18px;
  color: white;
  margin-bottom: 0;
  font-family: var(--secondary-font);
}

.footer .copyright .copyright-item {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.footer .copyright .copyright-item .payment img {
  width: 75px;
  margin: 15px 0px 15px 8px;
}

@media (max-width: 1200px) {
  .footer-item h4 {
    font-size: 19px;
  }
  .footer ul li a {
    font-size: 16px;
  }
}

@media (max-width: 992px) {
  .footer-item .items {
    border-left: none;
    margin-left: 80px !important;
  }

  .footer-item h4 {
    font-size: 23px !important;
  }

  .footer ul li a {
    font-size: 18px !important;
  }
}

@media (max-width: 768px) {
  .footer-item .items {
    border-left: none;
    margin-left: 0px !important;
  }

  .footer .copyright .copyright-item .payment img {
    width: 45px;
    margin: 15px 0px 15px 8px;
  }

  .footer .copyright .copyright-item p {
    padding-top: 10px;
  }
  .footer .copyright .copyright-item .payment {
    display: flex;
    justify-content: center;
  }

  .footer .copyright .copyright-item {
    display: block;
    text-align: center;
  }
}

@media (max-width: 520px) {
  .footer-item .items {
    padding-left: 0px;
  }
}
/* Footer End */
